#

## cursor

Return magic internal coordinates of the cursor (X11 pointer)

### Usage:

> cursor

### Summary:

> The cursor command returns the current position of the cursor (the X11 pointer, not the magic cursor box) in internal layout coordinates.

### Implementation Notes:

> cursor is implemented as a built-in window command in magic. In the Tcl version of magic, it returns a Tcl result (list of two elements, x and y coordinates).

> Like all window commands, it reports relative to the existing window if only one window is present, or the active window if called with the "`:`" macro. Otherwise, it must be called using the tk_path_name command to specify relative to which layout window the cursor coordinates will be given.

### See Also:

> tk_path_name

Return to command index

Last updated: October 5, 2004 at 2:47am